import { EventEmitter, OnInit } from "@angular/core";
import { Router } from "@angular/router";
import { NavGroup } from "./constants";
export declare class RSNavCardGroupComponent implements OnInit {
    router: Router;
    constructor(router: Router);
    ngOnInit(): void;
    navClick: EventEmitter<any>;
    navList: NavGroup[];
    customNavClick: boolean;
    title: string;
    onNavClick(item: any): void;
}
